summaryrefslogtreecommitdiffstats
path: root/debian/puppet.preinst
diff options
context:
space:
mode:
authorLuke Kanies <luke@madstop.com>2007-11-23 19:18:20 -0600
committerLuke Kanies <luke@madstop.com>2007-11-23 19:18:20 -0600
commit72c0e7bd73e9185a04f141a142dc79202f5ff441 (patch)
tree0bdc075021b9bcaea5dcd4afe48691ea6b1d7de6 /debian/puppet.preinst
parent56aad69f8cdf8b0b08fdb7985014986223fa4455 (diff)
Adding the debian directory via patch 20070831052721-6856b-b90bb56a4ed37ea420f10352a0a366068cddc7e4.patch from womble
Diffstat (limited to 'debian/puppet.preinst')
-rw-r--r--debian/puppet.preinst25
1 files changed, 25 insertions, 0 deletions
diff --git a/debian/puppet.preinst b/debian/puppet.preinst
new file mode 100644
index 000000000..93c1662d8
--- /dev/null
+++ b/debian/puppet.preinst
@@ -0,0 +1,25 @@
+#! /bin/sh
+
+case "$1" in
+ install|upgrade)
+ /usr/sbin/adduser --system \
+ --group \
+ --home /var/lib/puppet \
+ --gecos "Puppet configuration manangement daemon" \
+ puppet > /dev/null
+ ;;
+
+ abort-upgrade)
+ ;;
+
+ *)
+ echo "preinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0
+
+